Subject: Re: [Asrg] 0. General - Mailing list summary...

From: Bruce Lilly <[email-masked]>
Date: Thu, 19 Feb 2004 21:22:43 -0500

> From: Brett Watson <[email-masked]>
> Organization: PhD Student, Macquarie University
> Date: Thu, 19 Feb 2004 15:14:08 +1100
> 
> Peter Sergeant said:
> 
>>> I'd also like to BEG people on this list who are using mail clients that
>>> are somehow destroying or not setting 'In-reply-to' or 'References'
> 
> 
> Like me? A consequence of the fact that I prefer to read the mailing list from 
> its web archive, I'm afraid -- a mode in which it is currently impossible to 
> comply with your otherwise quite reasonable request.

Ditto for those of us who receive the list as a digest.

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Bruce Lilly <[email-masked]>
Date: Thu, 19 Feb 2004 21:32:48 -0500

> Date: Wed, 18 Feb 2004 11:20:47 -0800
> From: Dave Crocker <[email-masked]>

> I don't remember seeing this mentioned, but think it worth highlighting
> for folks:
> 
> Patrik Falstrom did a mail flow control chart that is _extremely_
> detailed.  I've been doing a simplistic one, for easy discussion, but
> his is very thorough.
> 
> It is at <http://www.ripe.net/ripe/meetings/ripe-47/mailflows.pdf>

Great! A couple of nits:
1. The description of flows 14 and 16 appear to be transposed
2. it is of course possible to have multiple .forward/mailing list expansions

---

From: Bruce Lilly <[email-masked]>
Date: Fri, 20 Feb 2004 08:40:14 -0500

> Date: Wed, 18 Feb 2004 11:35:54 -0800

>   I should comment that I think that the slide has far too much detail,
>   for most discussions.  Most of the time, folks are not bothering to
>   look at _any_ of the tradeoffs, so a diagram that detailed can get
>   distracting.
> 
>   On the other hand, I think it is useful for helping
>   people to see just how complicated email can be.  With luck, this will
>   reduce the tendency to treat it simplistically.

Also on the other hand, the chart omits some detail that is critical to
some discussions.  For example, there have been some recent discussions
elsewhere regarding DSNs and bounces provoked by some of the recent
worms (http://www.imc.org/ietf-smtp/mail-archive/msg01062.html
http://www.dshield.org/pipermail/list/2004-February/subject.php (Subject
"[Dshield] SPF is fundamentally flawed" (it's not primarily about SPF)
(the links were broken when I tried them this morning)).
As I understand it, the "Bagle" worm used an internal SMTP engine to
send directly to the recipient's MX host (flow 1 in Patrik's diagram).
In the case of a non-existent recipient in that domain, the MTA (presumably
MTA(r1) in Patrik's diagram) would send a 5yz response and there would
be no bounce or DSN.  However, it appears that a number of sites use a
"perimeter" MTA which does not check for recipient validity, but instead
stores and forwards to another MTA in the recipient's domain which does
perform such a check, and which is then responsible for a DSN or bounce
(which goes to the forged sender envelope address).